<?
include 'config.php';
include 'func.php';

head();
aut();
ban();
$cena = $config['vip'];
echo head . 'VIP-Режим' . div . katalog;

switch ($_GET['mod']) {
    default:
    echo '<b>Что такое Vip-режим</b><br/>';
    echo 'Включай VIP-режим и получай платные сервисы бесплатно.<br/>';
    echo ' - <b>Поднятие анкеты</b> В VIP-режиме ты можешь раз в сутки бесплатно поднять свою анкету в вершине мира и все тебя увидят!<br/>';
    echo ' - <b>VIP-сообщения</b> На весь период действия VIP-режима у тебя также активируется режим VIP-сообщений. Твои сообщения будет по-особенному выделены.<br/>';
    echo ' - <b>Супер-оценки «25»</b> Можно бесплатно ставить оценки «25» всем анкетам.<br/>';
    echo ' - <b>Супер-подарки</b> Можно дарить подарки кому угодно, бесплатно.<br/>';
    echo ' - <b>Градиент ника</b> Вы можете бесплатно изменить цвет ника.<br/>';
    echo ' - <b>Режим невидимости</b> По желанию, можешь стать невидимкой — никто не будет видеть тебя онлайн и в списке гостей. Этот режим можно активировать на весь период действия VIP-режима.<br/>';
    echo ' - <b>Иммунитет от плохих оценок</b> Тебе никто не сможет поставить оценку ниже «5».<br/>';
    echo ' - <b>Бесплатные действия</b> Вы можете бесплатно привлечь внимание другого пользоватеоля<br/>';
    echo ' - <b>Смайлы</b> Бесплатно загружать свои личные смайлы<br/>';
    
    echo '<br/><br/><a href="vip.php?mod=activ">Активировать VIP-Режим</a> <b>'.$cena.' монет</b> на неделю<br/>';
    $all = mysql_result(mysql_query("SELECT count(*) FROM `profile` WHERE `vip` > '".time()."'"), 0);
    echo '<a href="vip.php?mod=list">VIP-Персоны</a> [<b>'.$all.'</b>]<br/>';
    break;
    
    case 'activ':
    if ($user['vip'] > time()) {
        echo 'У вас VIP-режим уже активирован<br/>';
    } else {
        if ($user['many'] < $cena) {
            echo 'У вас не достаточно средств<br/>';
            } else {
        if (mysql_query("UPDATE profile SET `many` = '".($user['many'] - $cena)."', `vip` = '".(time() + 604800)."' WHERE `id` = '".$id_session."'")) {
                $msg1 = '<b>'.user($id_session).'</b> купил(а) себе VIP режим';
                mysql_query("INSERT INTO `jurnal` SET  `msg` = '".$msg1."', `user` = '".$id_session."', `date` = '".time()."'");
        echo 'Вы успешно активировали VIP-Режим<br/>';
        } else
        echo 'Возникла ошибка. Обратитесь к администрации<br/>'; 
    }
    }
    break;
    
    case 'list':
    $all = mysql_result(mysql_query("SELECT count(*) FROM `profile` WHERE `vip` > '".time()."'"), 0);
    if($all > 0)
        {
        
        $result = mysql_query("SELECT * FROM `profile` WHERE `vip` > '".time()."'");
        while($user = mysql_fetch_assoc($result)){
            echo user($user['id']) . '<br/>';
        }
        
        } else { 
            echo 'Пользователей нет...';
            }
    break;
    
    
}

navig();
foot();
?>